## albert 0.4.10

=== Makefile ===
CLEANFILES = *.x86f *.ufsl *.fsl *.lib *.err *.fasl *~ *.fas

all:
	cd expat && $(MAKE) all

clean:
	-cd apispec && $(RM) $(CLEANFILES)
	-cd base && $(RM) $(CLEANFILES)
	-cd lisp2csf && $(RM) $(CLEANFILES)
	-cd specs && $(RM) $(CLEANFILES)
	-cd spres && $(RM) $(CLEANFILES)
	-cd spres/rules && $(RM) $(CLEANFILES)
	-cd tools && $(RM) $(CLEANFILES)
	-cd data && $(RM) $(CLEANFILES)
	-cd expat && $(MAKE) clean
	-$(RM) $(CLEANFILES) configure-stamp build-stamp
	-rm -rf debian/albert*

=== expat/xmlparse/Makefile ===
all: libexpat_parse.a

clean:
	-$(RM) *.o *.a *~

libexpat_parse.a: xmlparse.c hashtable.c
	gcc -I../xmltok -Wall -W -Winline -Wno-unused -g -c xmlparse.c
	gcc -Wall -W -Winline -Wno-unused -g -c hashtable.c
	ar r libexpat_parse.a xmlparse.o hashtable.o

=== expat/xmltok/Makefile ===
all: libexpat_tok.a

clean:
	-$(RM) *.o *.a *~

libexpat_tok.a: xmltok.c xmlrole.c
	gcc -Wall -W -Winline -Wno-unused -g -c xmltok.c
	gcc -Wall -W -Winline -Wno-unused -g -c xmlrole.c
	ar r libexpat_tok.a xmltok.o xmlrole.o

=== debian/control ===
Source: albert
Section: devel
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1.0

Package: albert
Architecture: any
Depends: ${shlibs:Depends}, common-lisp-controller (>= 3.47), docbook-dsssl
Recommends: jade|openjade
Description: Common Lisp -> DocBook documenter
 This package provides a relatively simple CL -> DocBook documenter
 that is fairly similar to e.g javadoc.

## albert 0.4.10.1

=== expat/Makefile ===

all: subdirs alb_xml2sexp

subdirs:
	cd xmltok && $(MAKE) all
	cd xmlparse && $(MAKE) all

clean:
	cd xmltok && $(MAKE) clean
	cd xmlparse && $(MAKE) clean
	-$(RM) *.o *.a *~ alb_xml2sexp

alb_xml2sexp: xml2sexp.c hashtab.c recycle.c
	gcc -I. -Wall -W -Winline -Wno-unused -g -c hashtab.c
	gcc -I. -Wall -W -Winline -Wno-unused -g -c recycle.c
	gcc -I. -Wall -W -Winline -Wno-unused -g -c xml2sexp.c
	gcc -Wall -W -Winline -Wno-unused -g -o alb_xml2sexp xml2sexp.o hashtab.o recycle.o xmlparse/libexpat_parse.a xmltok/libexpat_tok.a

=== debian/changelog ===
albert (0.4.10.1) unstable; urgency=low

  * Orphan as in bug #297346

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  5 Mar 2005 02:50:42 -0700

albert (0.4.10) unstable; urgency=low

  * Yet another upstream, mostly bugfix.

 -- Stig E Sandoe <stig@users.sourceforge.net>  Tue, 20 Apr 2004 13:43:06 +0200

albert (0.4.9) unstable; urgency=low

  * Yet another new upstream.

 -- Stig E Sandoe <stig@users.sourceforge.net>  Mon, 27 Oct 2003 18:52:27 +0100

albert (0.4.8) unstable; urgency=low

  * New upstream.

 -- Stig E Sandoe <stig@users.sourceforge.net>  Mon, 20 Oct 2003 20:02:52 +0200

albert (0.4.7) unstable; urgency=low

  * New upstream.

 -- Stig E Sandoe <stig@users.sourceforge.net>  Mon, 20 Oct 2003 01:46:44 +0200

albert (0.4.6.1) unstable; urgency=low

  * Fix e-mail address

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 16 Jul 2003 12:07:26 -0600

albert (0.4.6) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 12 Jul 2003 12:21:03 -0600

albert (0.4.4) unstable; urgency=low

  * Initial upload
  * Use debian/compat rather than export DH_COMPAT
  * Don't duplicate license with COPYING file
  * Refer to GPL on filesystem in debian/copyright
  * Update standards-version to 3.5.10.0 [no changes required]
  * Add skeletal alb_xml2sexp man page
  * Added possibility to control calls and calledby info from settings.
  * Actually generate calledby info if that is wanted
  * Some bugfixes

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  4 Jul 2003 15:57:10 -0600

albert (0.4.3-1) unstable; urgency=low

  * Updated code to work as debian-package
  * Updated code to work with SBCL
  * Ignore a few extra cmuc/sbcl calls
  * Removed dead code
  * Minor tweaking

 -- Stig E Sandoe <stig@users.sourceforge.net>  Fri,  4 Jul 2003 01:11:21 +0200

albert (0.4.2-1) unstable; urgency=low

  * Added hovering text to links.
  * Allowed the choice of when defgenerics get their own page be controlled via settings.
  * Allowed settings to control when a class gets a quick-index.

 -- Stig E Sandoe <stig@users.sourceforge.net>  Thu,  3 Jul 2003 23:02:53 +0200

albert (0.4-1) unstable; urgency=low

  * Fixed some last-minute bugs in v0.3 and made syntax in asdf-file more lenient. 

 -- Stig E Sandoe <stig@users.sourceforge.net>  Wed,  2 Jul 2003 15:56:42 +0200

albert (0.3-1) unstable; urgency=low

  * Updated with new version that just needs an asdf-system, not a prefs-file.

 -- Stig E Sandoe <stig@users.sourceforge.net>  Wed,  2 Jul 2003 00:27:24 +0200

albert (0.2-1) unstable; urgency=low

  * Minor updates, mostly in handling SETF functions and generics.
  Think I've found the right balance in how to present it.  

 -- Stig E Sandoe <stig@users.sourceforge.net>  Tue, 20 May 2003 01:33:25 +0200

albert (0.1-2) unstable; urgency=low

  * Various updates in package structure.

 -- Stig E Sandoe <stig@users.sourceforge.net>  Sat, 15 Mar 2003 14:05:03 +0100

albert (0.1-1) unstable; urgency=low

  * New package

 -- Stig E Sandoe <stig@users.sourceforge.net>  Thu, 13 Mar 2003 22:03:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: albert
 Section: devel
 Priority: optional
-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.1.0

=== debian/rules ===
#!/usr/bin/make -f

pkg	:= albert
debpkg  := albert

clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-albert	:= $(clc-source)/$(pkg)

doc-dir		:= usr/share/doc/$(debpkg)
data-dir	:= usr/share/$(pkg)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	make all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	rm -f debian/albert.postinst.* debian/albert.prerm.*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	# Add here commands to install the package into debian/png.
	dh_installdirs $(clc-systems) $(clc-albert)
	dh_install albert.asd $(shell echo *.lisp) $(clc-albert)
	dh_install apispec/*.lisp $(clc-albert)/apispec
	dh_install base/*.lisp $(clc-albert)/base
	dh_install lisp2csf/*.lisp $(clc-albert)/lisp2csf
	dh_install specs/*.lisp $(clc-albert)/specs
	dh_install spres/*.lisp $(clc-albert)/spres
	dh_install spres/rules/*.lisp $(clc-albert)/spres/rules
	dh_install tools/*.lisp $(clc-albert)/tools
	dh_install expat/alb_xml2sexp usr/bin
	dh_link $(clc-albert)/albert.asd $(clc-systems)/albert.asd
	dh_install data/albert.dsl data/print-albert.dsl data/xml.soc data/xml.dcl data/albert.css $(data-dir)
	dh_install data/*.dtd $(data-dir)
	dh_install data/icons/README data/icons/*.png $(data-dir)/icons

# Build architecture-independent files here.
binary-indep: build install


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installman expat/alb_xml2sexp.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## albert 0.8.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

PROJECT(albert)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Set additional compiler flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wextra -pedantic") #-Wconversion -Wunused
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0")
set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2 -DQT_NO_DEBUG_OUTPUT ")

# Color make output
SET(CMAKE_COLOR_MAKEFILE ON)

# Suppress gcc details
if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    SET(CMAKE_VERBOSE_MAKEFILE ON)
else(CMAKE_BUILD_TYPE STREQUAL "Debug")
    SET(CMAKE_VERBOSE_MAKEFILE OFF)
endif(CMAKE_BUILD_TYPE STREQUAL "Debug")

# Put the binaries in dedicated toplevel directories
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

# Build project
add_subdirectory(src/application/)
add_subdirectory(src/lib/)
add_subdirectory(src/plugins/)


# Do platform specific post target stuff
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    # Install desktop entry
    install(FILES data/albert.desktop DESTINATION share/applications )
    # Install icon
    install(FILES src/application/resources/icons/albert.svg DESTINATION share/icons/hicolor/scalable/apps)
    # Define where to install the themes
    install(DIRECTORY data/themes DESTINATION share/${PROJECT_NAME} COMPONENT config)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== src/application/CMakeLists.txt ===
find_package(Qt5Widgets 5.2 REQUIRED)
find_package(Qt5Svg 5.2 REQUIRED)
find_package(Qt5Network REQUIRED)

include_directories(
    hotkey/
    mainwindow/
    interfaces/
    pluginsystem/
    settingswidget/
)

set(SRC
    main.cpp
    albertapp.cpp
    hotkey/hotkeymanager.cpp
    hotkey/hotkeymanager_p.h
    mainwindow/mainwindow.cpp
    mainwindow/history.hpp
    mainwindow/resizinglist.cpp
    mainwindow/actionlist.cpp
    mainwindow/proposallist.cpp
    mainwindow/settingsbutton.cpp
    pluginsystem/pluginloader.cpp
    pluginsystem/pluginmanager.cpp
    pluginsystem/extensionmanager.cpp
    pluginsystem/roles.hpp
    pluginsystem/query.cpp
    pluginsystem/query_p.hpp
    pluginsystem/iextension.h
    pluginsystem/abstractobjects.hpp
    pluginsystem/objects.hpp
    settingswidget/grabkeybutton.cpp
    settingswidget/settingswidget.cpp
    settingswidget/pluginmodel.cpp
)

set(LIB
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${Qt5Network_LIBRARIES}
)

qt5_wrap_ui(UI
    mainwindow/mainwindow.ui
    settingswidget/settingswidget.ui
)

qt5_add_resources(QRC
    resources.qrc
)


# Do platform specific pre target stuff
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    # Make sure x11 module is present
    find_package(Qt5X11Extras 5.2 REQUIRED)
    # Platform switches
    set(SRC ${SRC} hotkey/hotkeymanager_x11.cpp)
    set(LIB ${LIB} ${Qt5X11Extras_LIBRARIES} X11)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
    #TODO INSTALL
    set(SRCS ${SRCS} src/hotkey/hotkeymanager_win.cpp)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUNICODE")
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")


# Define target
add_executable(${PROJECT_NAME} ${SRC} ${UI} ${QRC})
target_link_libraries(${PROJECT_NAME} ${LIB})


# Do platform specific post target stuff
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    # Define where to install the binary
    install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== src/lib/CMakeLists.txt ===
add_subdirectory(offlineindex)
add_subdirectory(iconlookup)

=== src/plugins/CMakeLists.txt ===
add_subdirectory(applications)
add_subdirectory(calculator)
add_subdirectory(chromebookmarks)
add_subdirectory(files)
add_subdirectory(system)
add_subdirectory(websearch)
add_subdirectory(terminal)

# Non-release plugins
if(${BUILD_DEBUG_EXTENSIONS})
    add_subdirectory(templateExtension)
    add_subdirectory(microsleep)
endif(${BUILD_DEBUG_EXTENSIONS})

=== src/lib/iconlookup/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

project(iconlookup)

# Get Qt libraries
find_package(Qt5Core 5.2 REQUIRED)

# List files in the source directory
FILE(GLOB SRC *.cpp *.h *.hpp)

# Add the target as static lib
add_library(${PROJECT_NAME} STATIC ${SRC})

# Link qt core library
target_link_libraries(${PROJECT_NAME} ${Qt5Core_LIBRARIES})

# Propagade headers to users of the target
target_include_directories(${PROJECT_NAME} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== src/lib/offlineindex/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

project(offlineindex)

# Get Qt libraries
find_package(Qt5Core 5.2 REQUIRED)

# List files in the source directory
FILE(GLOB SRC *.cpp *.h *.hpp)

# Add the target as static lib
add_library(${PROJECT_NAME} STATIC ${SRC})

# Link qt core library
target_link_libraries(${PROJECT_NAME} ${Qt5Core_LIBRARIES})

# Propagade headers to users of the target
target_include_directories(${PROJECT_NAME} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== src/plugins/applications/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

PROJECT(applications)

find_package(Qt5Widgets 5.2 REQUIRED)

include_directories(
    ../../application
    ../../application/pluginsystem
)

set(SRC
    metadata.json
    extension.cpp
    configwidget.cpp
    desktopentry.cpp
    desktopaction.hpp
    indexer.cpp
)

qt5_add_resources(QRC
    ${PROJECT_NAME}.qrc
)

qt5_wrap_ui(UI configwidget.ui)

add_library(${PROJECT_NAME} SHARED ${SRC} ${QRC} ${UI})

target_link_libraries(${PROJECT_NAME} ${Qt5Widgets_LIBRARIES} offlineindex iconlookup)

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION share/albert/plugins)
endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== src/plugins/calculator/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

PROJECT(calculator)

find_package(Qt5Widgets 5.2 REQUIRED)

include_directories(
    ../../application
    ../../application/pluginsystem
)

set(SRC
    metadata.json
    extension.cpp
    configwidget.cpp
)

qt5_add_resources(QRC
    ${PROJECT_NAME}.qrc
)

qt5_wrap_ui(UI
    configwidget.ui
)

add_library(${PROJECT_NAME} SHARED ${SRC} ${QRC} ${UI})

target_link_libraries(${PROJECT_NAME} ${Qt5Widgets_LIBRARIES} muparser iconlookup)

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION share/albert/plugins)
endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== src/plugins/chromebookmarks/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

PROJECT(chromebookmarks)

find_package(Qt5Widgets 5.2 REQUIRED)

include_directories(
    ../../application
    ../../application/pluginsystem
)

set(SRC
    metadata.json
    extension.cpp
    configwidget.cpp
    bookmark.cpp
    indexer.cpp
)

qt5_wrap_ui(UI
    configwidget.ui
)

qt5_add_resources(QRC
    ${PROJECT_NAME}.qrc
)

add_library(${PROJECT_NAME} SHARED ${SRC} ${UI} ${QRC})

target_link_libraries(${PROJECT_NAME} ${Qt5Widgets_LIBRARIES} offlineindex )

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION share/albert/plugins)
endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== src/plugins/files/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

PROJECT(files)

find_package(Qt5Widgets 5.2 REQUIRED)

include_directories(
    ../../application
    ../../application/pluginsystem
)

set(SRC
    metadata.json
    extension.cpp
    configwidget.cpp
    file.cpp
    fileactions.h
    indexer.cpp
)

qt5_wrap_ui(UI
    configwidget.ui
)

add_library(${PROJECT_NAME} SHARED ${SRC} ${UI})

target_link_libraries(${PROJECT_NAME} ${Qt5Widgets_LIBRARIES} offlineindex iconlookup)

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION share/albert/plugins)
endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== src/plugins/microsleep/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

PROJECT(microsleep)

find_package(Qt5Widgets 5.2 REQUIRED)

include_directories(
    ../../application
    ../../application/pluginsystem
)

set(SRC
    metadata.json
    extension.cpp
)

add_library(${PROJECT_NAME} SHARED ${SRC})

target_link_libraries(${PROJECT_NAME} ${Qt5Widgets_LIBRARIES} )

if(${CMAKE_BUILD_TYPE} MATCHES "Debug")
    if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
        install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION share/albert/plugins)
    endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
endif(${CMAKE_BUILD_TYPE} MATCHES "Debug")

=== src/plugins/system/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

PROJECT(system)

find_package(Qt5Widgets 5.2 REQUIRED)

include_directories(
    ../../application
    ../../application/pluginsystem
)

set(SRC
    metadata.json
    extension.cpp
    configwidget.cpp
)

qt5_wrap_ui(UI
    configwidget.ui
)

qt5_add_resources(QRC
    ${PROJECT_NAME}.qrc
)

add_library(${PROJECT_NAME} SHARED ${SRC} ${UI} ${QRC})

target_link_libraries(${PROJECT_NAME} ${Qt5Widgets_LIBRARIES} iconlookup)

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION share/albert/plugins)
endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== debian/changelog ===
albert (0.8.9-0mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Sun, 15 May 2016 01:43:17 -0500

albert (0.8.9-1~webupd8~xenial0) xenial; urgency=medium

  * New upstream release
  * disable workaround-no-icons-qt5.patch - it launches Gedit
    and Nautilus with header bars in Unity, etc.

 -- Alin Andrei <webupd8@gmail.com>  Fri, 13 May 2016 10:17:49 +0200

albert (0.8.8-1~webupd8~xenial1) xenial; urgency=medium

  * New upstream release
  * disable workaround-no-icons-qt5.patch - it launches Gedit
    and Nautilus with header bars in Unity, etc.

 -- Alin Andrei <webupd8@gmail.com>  Thu, 29 Apr 2016 10:57:18 +0200

albert (0.8.7.3-1~webupd8~xenial0) xenial; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Wed, 27 Apr 2016 12:23:58 +0200

albert (0.8.7.2-1~webupd8~trusty0) trusty; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Mon, 04 Apr 2016 12:03:41 +0200

albert (0.8.7.1-1~webupd8~xenial0) xenial; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Thu, 31 Mar 2016 14:37:19 +0200

albert (0.8.6-1~webupd8~trusty0) trusty; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Wed, 30 Mar 2016 12:37:44 +0200

albert (0.8.5-1~webupd8~xenial0) xenial; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Mon, 28 Mar 2016 13:04:19 +0200

albert (0.8.4-1~webupd8~trusty0) trusty; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Tue, 15 Mar 2016 17:09:19 +0200

albert (0.8.3-1~webupd8~xenial0) xenial; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Mon, 14 Mar 2016 13:54:02 +0200

albert (0.8.2-1~webupd8~trusty0) trusty; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Wed, 09 Mar 2016 16:33:29 +0200

albert (0.8.1-1~webupd8~xenial0) xenial; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Mon, 07 Mar 2016 15:46:18 +0200

albert (0.8.0-1~webupd8~trusty1) trusty; urgency=medium

  * Added workaround-no-icons-qt5.patch

 -- Alin Andrei <webupd8@gmail.com>  Mon, 09 Nov 2015 17:21:39 +0200

albert (0.8.0-1~webupd8~wily0) wily; urgency=medium

  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Mon, 09 Nov 2015 14:17:31 +0200

albert (0.7.3-1~webupd8~trusty0) trusty; urgency=medium

  * Build-depend on libqt5svg5-dev
  * Disabled clean-up-desktop-file.patch, it's no longer required

 -- Alin Andrei <webupd8@gmail.com>  Thu, 08 Oct 2015 12:08:44 +0200

albert (0.6.2-1~webupd8~vivid3) vivid; urgency=medium

  * Initial debianization
  * Added clean-up-desktop-file.patch

 -- Alin Andrei <webupd8@gmail.com>  Mon, 19 Jan 2015 11:49:31 +0200

=== debian/control ===
Source: albert
Section: utils
Priority: optional
Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
Bugs: mailto: <maintainer@mepiscommunity.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), cmake, pkg-config, qtbase5-dev, qtbase5-dev-tools, libx11-dev, libqt5x11extras5-dev, libmuparser-dev, libqt5svg5-dev
Homepage: https://github.com/ManuelSchneid3r/albert

Package: albert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Albert Launcher
 An amazing, desktop environment agnostic omnilauncher.

## albert 0.14.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)  # Least supporting CMAKE_CXX_STANDARD

project(albertlauncher)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# Set standard
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# Set additional compiler flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic") #-Wconversion -Wunused
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG")

include(GNUInstallDirs)

# Color make output
SET(CMAKE_COLOR_MAKEFILE ON)

# Suppress gcc details
if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    SET(CMAKE_VERBOSE_MAKEFILE ON)
else(CMAKE_BUILD_TYPE STREQUAL "Debug")
    SET(CMAKE_VERBOSE_MAKEFILE OFF)
endif()

# Put the binaries in dedicated toplevel directories
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

# Build project
add_subdirectory(application/)
add_subdirectory(lib/)
add_subdirectory(plugins/)

# Do platform specific post target stuff
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

    # Install desktop entry
    install(FILES data/albert.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications )

    # Install icon
    install(FILES lib/albertcore/resources/icons/albert.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)

    # Packaging
    SET(CPACK_GENERATOR "DEB")
    SET(CPACK_PACKAGE_NAME "albert")
    SET(CPACK_PACKAGE_MAINTAINER "Manuel Schneider")
    SET(CPACK_PACKAGE_HOMEPAGE "https://albertlauncher.github.io/")
    SET(CPACK_PACKAGE_CONTACT "manuelschneid3r@gmail.com")
    SET(CPACK_PACKAGE_VERSION_MAJOR "0")
    SET(CPACK_PACKAGE_VERSION_MINOR "14")
    SET(CPACK_PACKAGE_VERSION_PATCH "4")
    SET(CPACK_PACKAGE_DESCRIPTION "A sophisticated, plugin-based, standalone keyboard launcher written in C++/Qt")
    SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Albert keyboard launcher")
    SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
    SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt5widgets5, libqt5svg5, libqt5concurrent5, libqt5network5, libqt5sql5, libqt5sql5-sqlite, qml-module-qtquick-controls")
    SET(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
    SET(CPACK_DEBIAN_PACKAGE_SECTION "misc")
    #SET(CPACK_COMPONENTS_ALL Libraries ApplicationData)
    INCLUDE(CPack)

endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== application/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)

project(albert)

# Define the target
add_executable(${PROJECT_NAME} main.cpp)

# Link target to libraries
target_link_libraries(${PROJECT_NAME} PRIVATE albertcore)

# Set the RPATH for the library lookup
set_target_properties(${PROJECT_NAME} PROPERTIES INSTALL_RPATH "$ORIGIN/../${CMAKE_INSTALL_LIBDIR}/albert/")

# Install target
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== plugins/CMakeLists.txt ===
# Do not export symbols by default
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

# Set the RPATH for the library lookup
set(CMAKE_INSTALL_RPATH "$ORIGIN/../")

# FrontendPlugins

option(BUILD_WIDGETBOXMODEL "Build the frontend" ON)
if (BUILD_WIDGETBOXMODEL)
    add_subdirectory(widgetboxmodel)
endif()

option(BUILD_QMLBOXMODEL "Build the frontend" ON)
if (BUILD_QMLBOXMODEL)
    add_subdirectory(qmlboxmodel)
endif()



# ExtensionPlugins

option(BUILD_APPLICATIONS "Build the extension" ON)
if (BUILD_APPLICATIONS)
    add_subdirectory(applications)
endif()

option(BUILD_CALCULATOR "Build the extension" ON)
if (BUILD_CALCULATOR)
    add_subdirectory(calculator)
endif()

option(BUILD_CHROMEBOOKMARKS "Build the extension" ON)
if (BUILD_CHROMEBOOKMARKS)
    add_subdirectory(chromebookmarks)
endif()

option(BUILD_EXTERNALEXTENSIONS "Build the extension" ON)
if (BUILD_EXTERNALEXTENSIONS)
    add_subdirectory(externalextensions)
endif()

option(BUILD_DEBUG "Build the extension" OFF)
if (BUILD_DEBUG)
    add_subdirectory(debug)
endif()

option(BUILD_FILES "Build the extension" ON)
if (BUILD_FILES)
    add_subdirectory(files)
endif()

option(BUILD_FIREFOXBOOKMARKS "Build the extension" ON)
if (BUILD_FIREFOXBOOKMARKS)
    add_subdirectory(firefoxbookmarks)
endif()

option(BUILD_HASHGENERATOR "Build the extension" ON)
if (BUILD_HASHGENERATOR)
    add_subdirectory(hashgenerator)
endif()

option(BUILD_MPRIS "Build the extension" ON)
if (BUILD_MPRIS)
    add_subdirectory(mpris)
endif()

option(BUILD_PYTHON "Build the extension" ON)
if (BUILD_PYTHON)
    add_subdirectory(python)
endif()

option(BUILD_SNIPPETS "Build the extension" ON)
if (BUILD_SNIPPETS)
    add_subdirectory(snippets)
endif()

option(BUILD_SSH "Build the extension" ON)
if (BUILD_SSH)
    add_subdirectory(ssh)
endif()

option(BUILD_SYSTEM "Build the extension" ON)
if (BUILD_SYSTEM)
    add_subdirectory(system)
endif()

option(BUILD_TEMPLATE "Build the extension" OFF)
if (BUILD_TEMPLATE)
    add_subdirectory(templateExtension)
endif()

option(BUILD_TERMINAL "Build the extension" ON)
if (BUILD_TERMINAL)
    add_subdirectory(terminal)
endif()

option(BUILD_VIRTUALBOX "Build the extension" ON)
if (BUILD_VIRTUALBOX)
    add_subdirectory(virtualbox)
endif()

option(BUILD_WEBSEARCH "Build the extension" ON)
if (BUILD_WEBSEARCH)
    add_subdirectory(websearch)
endif()

=== lib/albertcore/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)

project(albertcore)

add_definitions(-DCORE) #export branch
if (DEFINED CMAKE_LIBRARY_ARCHITECTURE)
    add_definitions(-DMULTIARCH_TUPLE="${CMAKE_LIBRARY_ARCHITECTURE}") #export branch
endif()

find_package(Qt5 5.5.0 REQUIRED COMPONENTS
    Widgets
    Concurrent
    Network
    Sql
)

file(GLOB_RECURSE SRC include/* src/*)

add_library(${PROJECT_NAME} SHARED ${SRC} resources.qrc)

target_include_directories(${PROJECT_NAME}
    PUBLIC
        include/
    PRIVATE
        include/core
        include/util
        src/
        src/core/
        src/core/settingswidget/
)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
        ${Qt5Widgets_LIBRARIES}
        ${Qt5Concurrent_LIBRARIES}
        ${Qt5Network_LIBRARIES}
        ${Qt5Sql_LIBRARIES}
        globalshortcut
        xdg
)

# Set the RPATH for the library lookup
set_target_properties(${PROJECT_NAME} PROPERTIES INSTALL_RPATH "$ORIGIN")

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/albert)

=== lib/globalshortcut/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)

project(globalshortcut)

add_definitions(-DGLOBALSHORTCUT) #export branch

find_package(Qt5 5.5.0 REQUIRED COMPONENTS Gui)

set(SRC
    include/globalshortcut/globalshortcut_globals.h
    include/globalshortcut/hotkeymanager.h
    src/hotkeymanager.cpp
)

set(LIB ${Qt5Gui_LIBRARIES})

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    find_package(Qt5 5.5.0 REQUIRED X11Extras)
    set(SRC ${SRC} src/hotkeymanager_x11.cpp)
    set(LIB ${LIB} ${Qt5X11Extras_LIBRARIES} X11)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
    set(SRC ${SRC} src/hotkey/hotkeymanager_win.cpp)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUNICODE")
endif()

add_library(${PROJECT_NAME} SHARED ${SRC})

target_include_directories(${PROJECT_NAME}
    PUBLIC
        include/
    PRIVATE
        include/globalshortcut/
        src/
)

target_link_libraries(${PROJECT_NAME} PRIVATE ${LIB})

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/albert)

=== lib/xdg/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)

project(xdg)

add_definitions(-DXDG_DEF) #export branch

find_package(Qt5 5.5.0 REQUIRED COMPONENTS Gui)

file(GLOB SRC src/* include/*)

add_library(${PROJECT_NAME} SHARED ${SRC})

target_include_directories(${PROJECT_NAME}
    PUBLIC
        include/
    PRIVATE
        include/xdg/
        src/
)

target_link_libraries(${PROJECT_NAME} PRIVATE ${Qt5Gui_LIBRARIES})

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/albert)

=== plugins/applications/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)

project(applications)

file(GLOB_RECURSE SRC src/* metadata.json)

find_package(Qt5 5.5.0 REQUIRED COMPONENTS Widgets Concurrent)

add_library(${PROJECT_NAME} SHARED ${SRC} ${PROJECT_NAME}.qrc)

target_include_directories(${PROJECT_NAME} PRIVATE src/)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
        ${Qt5Widgets_LIBRARIES}
        ${Qt5Concurrent_LIBRARIES}
        albertcore
        xdg
)

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/albert/plugins)

=== plugins/calculator/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)

project(calculator)

file(GLOB_RECURSE SRC src/* metadata.json)

find_package(Qt5 5.5.0 REQUIRED COMPONENTS Widgets)

add_library(${PROJECT_NAME} SHARED ${SRC} ${PROJECT_NAME}.qrc)

target_include_directories(${PROJECT_NAME} PRIVATE src/)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
        ${Qt5Widgets_LIBRARIES}
        albertcore
        muparser
        xdg
)

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/albert/plugins)

=== plugins/chromebookmarks/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)

project(chromebookmarks)

file(GLOB_RECURSE SRC src/* metadata.json)

find_package(Qt5 5.5.0 REQUIRED COMPONENTS Widgets Concurrent)

add_library(${PROJECT_NAME} SHARED ${SRC} ${PROJECT_NAME}.qrc)

target_include_directories(${PROJECT_NAME} PRIVATE src/)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
        ${Qt5Widgets_LIBRARIES}
        ${Qt5Concurrent_LIBRARIES}
        albertcore
        xdg
)

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/albert/plugins)

=== plugins/debug/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)

project(debug)

file(GLOB_RECURSE SRC src/* metadata.json)

find_package(Qt5 5.5.0 REQUIRED COMPONENTS Widgets)

add_library(${PROJECT_NAME} SHARED ${SRC} ${PROJECT_NAME}.qrc)

target_include_directories(${PROJECT_NAME} PRIVATE src/)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
        ${Qt5Widgets_LIBRARIES}
        albertcore
)

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION lib/albert/plugins)

=== plugins/externalextensions/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)

project(externalextensions)

file(GLOB_RECURSE SRC src/* metadata.json)

find_package(Qt5 5.5.0 REQUIRED COMPONENTS Widgets)

add_library(${PROJECT_NAME} SHARED ${SRC})

target_include_directories(${PROJECT_NAME} PRIVATE src/)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
        ${Qt5Widgets_LIBRARIES}
        albertcore
        xdg
)

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/albert/plugins)

=== plugins/files/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)

project(files)

file(GLOB_RECURSE SRC src/* metadata.json)

find_package(Qt5 5.5.0 REQUIRED COMPONENTS Widgets Concurrent)

add_library(${PROJECT_NAME} SHARED ${SRC} ${PROJECT_NAME}.qrc)

target_include_directories(${PROJECT_NAME} PRIVATE src/)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
        ${Qt5Widgets_LIBRARIES}
        ${Qt5Concurrent_LIBRARIES}
        albertcore
        xdg
)

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/albert/plugins)

=== debian/changelog ===
albert (0.14.21-0.1~mx17) mx; urgency=medium

  * Rebuilt for MX 17.
  * Switch to 3.0 (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 20 Jul 2018 16:30:50 -0700

albert (0.14.21) stable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 14 Jul 2018 12:11:54 +0000

albert (0.14.21-0) stable; urgency=low

  * Initial Release

 -- Manuel Schneider <manuelschneid3r@gmail.com>  Sun, 29 Oct 2017 00:00:00 +0000

=== debian/control ===
Source: albert
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Manuel Schneider <manuelschneid3r@gmail.com>
Standards-Version: 4.0.0
Homepage: https://albertlauncher.github.io/
Vcs-Git: ghttps://github.com/albertlauncher/albert.git
Build-Depends: debhelper (>=9),
               cmake, 
               qtbase5-dev (>=5.5), 
               libqt5x11extras5-dev (>=5.5), 
               libqt5svg5-dev (>=5.5), 
               qtdeclarative5-dev (>=5.5),
               libmuparser-dev, 
               python3-dev

Package: albert
Architecture: any
Depends: ${shlibs:Depends}, libqt5sql5-sqlite, 
         qml-module-qtgraphicaleffects, qml-module-qtquick-controls
Description: Qt 5 sophisticated, plugin-based, standalone keyboard launcher
 Albert is a unified and efficient access to your machine. Technically it is a 
 keyboard launcher written in C++/Qt. The plugin based architecture makes it 
 extremely flexible and powerful. Plugins can be used to create modular 
 frontends or native extensions. Extensions can also be implemented using 
 embedded Python modules or via a CGI approach in any language you want. The 
 frontends shipped heavily focus on customizability.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_VIRTUALBOX=OFF

## albert 0.16.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)  # Least supporting CMAKE_CXX_STANDARD
###############################################################################

project(albert VERSION 0.16.1)

###############################################################################

include(GNUInstallDirs)

###############################################################################

add_definitions(-DALBERT_VERSION="${PROJECT_VERSION}")

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# Set standard
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# Set additional compiler flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic") #-Wconversion -Wunused
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG")

# Color make output
SET(CMAKE_COLOR_MAKEFILE ON)

# Put the binaries in dedicated toplevel directories
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

###############################################################################

add_subdirectory(lib/globalshortcut)
add_subdirectory(lib/xdg)
add_subdirectory(plugins/)

###############################################################################

set(TARGET_NAME_LIB ${PROJECT_NAME}-lib)

file(GLOB_RECURSE LIB_SRC include/* src/lib/*)

add_library(${TARGET_NAME_LIB} SHARED ${LIB_SRC})
add_library(albert::lib ALIAS ${TARGET_NAME_LIB})

set_target_properties(${TARGET_NAME_LIB} PROPERTIES
    OUTPUT_NAME ${PROJECT_NAME}
    INSTALL_RPATH "$ORIGIN"
)

target_compile_definitions(${TARGET_NAME_LIB} PRIVATE -DCORE) #export branch

target_include_directories(${TARGET_NAME_LIB}
    PUBLIC
        include
    PRIVATE
        include/albert
        include/albert/util
        src/lib
)

find_package(Qt5 5.5.0
    COMPONENTS
        Gui
        Sql
)

target_link_libraries(${TARGET_NAME_LIB}
    PRIVATE
        Qt5::Gui
        Qt5::Sql
)

###############################################################################

option(BUILD_WITH_QTCHARTS "Use QtCharts to plot stats." ON)

find_package(Qt5 5.5.0
    COMPONENTS
        Concurrent
        Network
        Sql
        Widgets
    OPTIONAL_COMPONENTS
        Charts
)

set(TARGET_NAME_BIN ${PROJECT_NAME}-bin)

file(GLOB_RECURSE BIN_SRC src/app/*)
if(NOT BUILD_WITH_QTCHARTS)  # TODO: remove Apr 2020
    list(REMOVE_ITEM BIN_SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/app/settingswidget/statswidget.h")
    list(REMOVE_ITEM BIN_SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/app/settingswidget/statswidget.cpp")
endif()

add_executable(${TARGET_NAME_BIN} ${BIN_SRC} resources.qrc)

set_target_properties(${TARGET_NAME_BIN} PROPERTIES
    OUTPUT_NAME ${PROJECT_NAME}
    INSTALL_RPATH "$ORIGIN/../${CMAKE_INSTALL_LIBDIR}/albert/"  # Set the RPATH for the library lookup
)

target_include_directories(${TARGET_NAME_BIN} PRIVATE src/app src/app/settingswidget)
if (DEFINED CMAKE_LIBRARY_ARCHITECTURE)
    target_compile_definitions(${TARGET_NAME_BIN} PRIVATE -DMULTIARCH_TUPLE="${CMAKE_LIBRARY_ARCHITECTURE}")
endif()

target_link_libraries(${TARGET_NAME_BIN}
    PRIVATE
        Qt5::Concurrent
        Qt5::Network
        Qt5::Sql
        Qt5::Widgets
        albert::lib
        globalshortcut
        xdg
)
if(BUILD_WITH_QTCHARTS)
    target_link_libraries(${TARGET_NAME_BIN} PRIVATE Qt5::Charts)
    target_compile_definitions(${TARGET_NAME_BIN} PRIVATE -DBUILD_WITH_QTCHARTS) #export branch
endif()

###############################################################################

install(TARGETS ${TARGET_NAME_LIB} ${TARGET_NAME_BIN}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/albert
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

# Do platform specific post target stuff
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    # Install desktop entry and icon
   install(FILES resources/albert.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications )
   install(FILES resources/icons/albert.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== lib/globalshortcut/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)

project(globalshortcut)

find_package(Qt5 5.5.0 REQUIRED COMPONENTS Gui)

set(SRC
    include/globalshortcut/globalshortcut_globals.h
    include/globalshortcut/hotkeymanager.h
    src/hotkeymanager.cpp
)

set(LIB Qt5::Gui)

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    find_package(Qt5 5.5.0 REQUIRED X11Extras)
    set(SRC ${SRC} src/hotkeymanager_x11.cpp)
    set(LIB ${LIB} Qt5::X11Extras X11)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
    set(SRC ${SRC} src/hotkey/hotkeymanager_win.cpp)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUNICODE")
endif()

add_library(${PROJECT_NAME} STATIC ${SRC})

target_compile_definitions(${PROJECT_NAME} PRIVATE -DGLOBALSHORTCUT) #export branch

target_include_directories(${PROJECT_NAME}
    PUBLIC
        include
    PRIVATE
        include/globalshortcut
        src
)

target_link_libraries(${PROJECT_NAME} PRIVATE ${LIB})

=== debian/changelog ===
albert (0.16.1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Add libqt5charts5-dev to B-Ds to prevent FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Sep 2019 13:04:14 -0700

albert (0.16.1-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Switch to 3.0 (quilt) source format.
  * Add debian/copyright.
  * Clean up formatting in debian/control.
  * debian/rules:
    - enable full hardening.
    - disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Mar 2019 15:51:09 -0800

albert (0.16.1) stable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 16 Feb 2019 12:18:35 +0000

albert (0.16.1-0) stable; urgency=low

  * Albert Upstream Release
  
 -- Manuel Schneider <manuelschneid3r@gmail.com>  Sun, 29 Oct 2017 00:00:00 +0000

=== debian/control ===
Source: albert
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Manuel Schneider <manuelschneid3r@gmail.com>
Standards-Version: 4.0.0
Homepage: https://albertlauncher.github.io/
Vcs-Git: ghttps://github.com/albertlauncher/albert.git
Build-Depends: 
 debhelper (>=9),
 cmake (>=3.1.3),
 qtbase5-dev (>=5.5),
 libqt5x11extras5-dev (>=5.5),
 libqt5charts5-dev,
 libqt5svg5-dev (>=5.5),
 qtdeclarative5-dev (>=5.5),
 libmuparser-dev (>=2),
 python3-dev (>=3.5),
 lsb-release

Package: albert
Architecture: any
Depends: ${shlibs:Depends}, libqt5sql5-sqlite
Recommends: qml-module-qtgraphicaleffects, qml-module-qtquick-controls
Description: sophisticated, plugin-based, standalone keyboard launcher
 Albert is a unified and efficient access to your machine. Technically it is a
 keyboard launcher written in C++/Qt. The plugin based architecture makes it
 extremely flexible and powerful. Plugins can be used to create modular frontends
 or native extensions. Extensions can also be implemented using embedded Python
 modules or via a CGI approach in any language you want. The frontends shipped 
 heavily focus on customizability.

=== debian/rules ===
#!/usr/bin/make -f
CODENAME = $(shell lsb_release -cs)
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_configure:
ifneq (, $(findstring ${CODENAME},"xenial" "yakkety" "zesty" "stretch"))
	dh_auto_configure -- -DBUILD_WITH_QTCHARTS=OFF
else
	dh_auto_configure --
endif

override_dh_strip:
	dh_strip --no-automatic-dbgsym
